QGIS Application - Feature request #344
DPI is not stored in the output PNG
2006-10-12 12:50 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee:

Category:

Pull Request or Patch supplied: Resolution: fixed
Easy fix?: No Copied to github as #: 10403
Description

Although | specify 300 DPI in map composer, after exporting the map to PNG the declared DPI is not preserved. | have to set it manually
eg. in GIMP.

Maciek

History

#1 - 2006-10-13 01:48 AM - Gavin Macaulay -
Qgis uses a Qi library to write png's, and that library doesn't support embedding a DPI value into the png file. | note that gimp can embed such a value, so
there may well be a formal or informal way to do it, but it's unlikely that we'll get around to doing that soon. None of the many other image viewers or editors

that | viewed such a png with picked up the dpi set by gimp.

I'll move this to an enhancement against 0.9

#2 - 2009-06-26 11:13 AM - Paolo Cavallini

Does this still holds true with Qt 4.5?

#3 - 2009-07-13 06:09 AM - Giovanni Manghi

Seems to me that this has been fixed. See the screenshot. Qgis 1.2 from trunk under Ubuntu 9.04

Please try again and leave feedback.

#4 - 2009-07-19 01:57 AM - Giovanni Manghi
- Resolution set to fixed
- Status changed from Open to Closed

Seems that the problem has been solved, closing, but reopen if necessary.
